basic_tuple.hpp File Reference

Forward declares `boost::hana::basic_tuple`. More...

## Classes

struct | boost::hana::basic_tuple< Xs >
| Stripped down version of `hana::tuple`. More...
struct | boost::hana::basic_tuple_tag
| Tag representing `hana::basic_tuple`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Forward declares `boost::hana::basic_tuple`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)